# TheLounge 

Before we start, you will need a Debian 10+ VPS (you can get one on digitalocean for example), if you prefer to use your own self hosted server, make sure that port 80 and 443 are correctly port forwarded so that the public ip points to the server and not the router. Once that's done, go and ssh into your debian 10 server. 

You can use DuckDNS to get a free domain name:

![](0.png)
    
    
    [ 192.168.100.1/24 ] [ /dev/pts/13 ] [~/Nextcloud/blog/Conf]
    → ssh root@ech4.duckdns.org
    The authenticity of host 'ech4.duckdns.org (178.128.46.38)' can't be established.
    ECDSA key fingerprint is SHA256:z2HAncB99pfbAUfj9tJY7vlo8EGUzCIUxWBAnjAflcA.
    Are you sure you want to continue connecting (yes/no/[fingerprint])? yes
    Warning: Permanently added 'ech4.duckdns.org,178.128.46.38' (ECDSA) to the list of known hosts.
    Linux debian-s-1vcpu-1gb-lon1-01 4.19.0-10-cloud-amd64 #1 SMP Debian 4.19.132-1 (2020-07-24) x86_64
    
    The programs included with the Debian GNU/Linux system are free software;
    the exact distribution terms for each program are described in the
    individual files in /usr/share/doc/*/copyright.
    
    Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
    permitted by applicable law.
    root@debian-s-1vcpu-1gb-lon1-01:~#
    
    

## **1**

First of all, just create the irc server locally by doing the following:
    
    
    apt update -y && apt upgrade -y
    apt install inspircd -y
    wget https://blog.nowhere.moe/servers/thelounge/inspircd.conf -O /etc/inspircd/inspircd.conf
    nano /etc/inspircd/inspircd.conf
    systemctl restart inspircd
    systemctl status inspircd
    
    
    
    
    wget https://github.com/thelounge/thelounge/releases/download/v4.2.0/thelounge_4.2.0_all.deb
    dpkg -i thelounge_4.2.0_all.deb
    apt -f install
    dpkg -i thelounge_4.2.0_all.deb
    systemctl status thelounge
    thelounge --help
    

Once installed, add an username:
    
    
    thelounge add admin
    
    

Then just goto the login page on port 9000 and login:

![](1.png) ![](2.png)

And there you have it!

![](3.png)

From here make thelounge public:
    
    
    nano /etc/thelounge/config.js
    
    

![](4.png)

Since i'm serving thelounge behind a reverse proxy, i need that value down there as well as making it public. Then just use nginx elsewhere to handle the reverse proxying properly and you're good to go. Another important part of the [config.js](config.js)file: 

![](5.png)
    
    
    systemctl restart thelounge
    
    

